nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | List of all members
SavedIni Struct Reference
Inheritance diagram for SavedIni:

## Public Member Functions
| NX_INI_STRING (nullptr, nullStr, "Null string.")
| NX_INI_FLAG (1, enableOutput, "Enable Output.")
| NX_INI_FLAG (0, enableTime, "Enable Time.")
| NX_INI_FLAG (0, enableFps, "Enable Fps.")
| NX_INI_STRING (" another string with leading space", str0, "String with leading space.")
| NX_INI_STRING ("another string with middle \quote", str1, "String with middle quote.")
| NX_INI_STRING ("\another string with leading quote", str2, "String with leading quote.")
| NX_INI_STRING ("another string with trailing quote \, str3, "String with trailing quote.")
| NX_INI_STRING ("\nother enquoted string\, str4, "Enquoted string.")
| NX_INI_STRING ("another plain string", str5, "Plain string.")
| NX_INI_STRING ("another plain string with \backslash", str6, "Plain string with backslash.")
| NX_INI_INT (777, intNumber, "Test int number.")
| NX_INI_FLOAT (0.432F, floatNumber,"Test float number.")
Public Member Functions inherited from nx::kit::IniConfig
| IniConfig (const char *iniFile)
| IniConfig (const IniConfig &)=delete
| IniConfig (IniConfig &&)=delete
IniConfig & | operator= (const IniConfig &)=delete
IniConfig & | operator= (IniConfig &&)=delete
const char * | iniFile () const
const char * | iniFilePath () const
void | reload ()
bool | getParamTypeAndValue (const char *paramName, ParamType *outType, const void **outData) const
| Tweaks ()
| Tweaks (const Tweaks &)=delete
| Tweaks (Tweaks &&)=delete
Tweaks & | operator= (const Tweaks &)=delete
Tweaks & | operator= (Tweaks &&)=delete
template<typename T >
void | set (const T *field, T newValue)

## Additional Inherited Members
Public Types inherited from nx::kit::IniConfig
enum | ParamType { ParamType::boolean, ParamType::string, ParamType::integer, ParamType::float_ }
Static Public Member Functions inherited from nx::kit::IniConfig
static bool | isEnabled ()
static void | setEnabled (bool value)
static void | setOutput (std::ostream *output)
static const char * | iniFilesDir ()
static void | setIniFilesDir (const char *iniFilesDir)
Protected Member Functions inherited from nx::kit::IniConfig
bool | regBoolParam (const bool *pValue, bool defaultValue, const char *paramName, const char *description)
int | regIntParam (const int *pValue, int defaultValue, const char *paramName, const char *description)
const char * | regStringParam (const char *const *pValue, const char *defaultValue, const char *paramName, const char *description)
float | regFloatParam (const float *pValue, float defaultValue, const char *paramName, const char *description)

## Detailed Description

Intended to be saved to the same file as TestIni, but not to be loaded from file.

The documentation for this struct was generated from the following file:

- nx_kit/unit_tests/src/ini_config_ut.cpp